import { Method, RawAxiosRequestHeaders, AxiosHeaders, HeadersDefaults } from 'axios';
export type HeadersType = RawAxiosRequestHeaders | AxiosHeaders | Partial<HeadersDefaults>;
export interface HttpProviderInstance {
    request<R = any>(config: any): Promise<R>;
}
export default class HttpProvider {
    host: string;
    timeout: number;
    user: string;
    password: string;
    headers: HeadersType;
    statusPage: string;
    instance: HttpProviderInstance;
    constructor(host: string, timeout?: number, user?: string, password?: string, headers?: HeadersType, statusPage?: string);
    setStatusPage(statusPage?: string): void;
    isConnected(statusPage?: string): Promise<boolean | 0>;
    request<T = unknown>(url: string, payload?: {}, method?: Method): Promise<T>;
}
